| Home | Libraries | People | FAQ | More

## Function template find_if_not

boost::algorithm::find_if_not — Finds the first element in the sequence that does not satisfy the predicate.

## Synopsis

    // In header: <boost/algorithm/cxx11/find_if_not.hpp>

    template<typename Range, typename Predicate>
      boost::range_iterator< const Range >::type
      find_if_not(const Range & r, Predicate p);

## Description

Parameters:

`p` | A predicate for testing the elements of the range
`r` | The input range

Returns: | The iterator pointing to the desired element.